Skip to main content
GET
Get Procedure Draft

Headers

x-api-key
string | null

Your API key for programmatic access. Send it in the x-api-key header; you can create and manage keys from the Developers page.

Path Parameters

agent_id
string
required

Agent ID to get the procedure draft from

Example:

"agent_3701k3ttaq12ewp8b7qv5rfyszkz"

branch_id
string
required

Branch ID to get the procedure draft from

Example:

"agtbranch_0901k4aafjxxfxt93gd841r7tv5t"

procedure_id
string
required

The procedure ID

Example:

"agtprc_6qbpwdq8n01bxhk44bgjy6f10ck3"

Response

Successful Response

procedure_id
string
required

Procedure ID

name
string
required

Procedure name

Maximum string length: 200
content
string
required

Procedure content

Maximum string length: 50000
type
enum<string>
default:free_form

Procedure type

Available options:
free_form,
deterministic
trigger
string
default:""

When the agent should use this procedure. Empty string means this is a sub-procedure that should only start when another procedure references it.